title: goal node restart
---
## goal node restart



Stop, and then start, the specified Algorand node



```

goal node restart [flags]

```



### Options



```

  -h, --help               help for restart

  -H, --hosted             Run algod hosted by algoh

  -l, --listen string      Endpoint / REST address to listen on

  -p, --peer string        Peer address to dial for initial connection

  -t, --telemetry string   Enable telemetry if supported (Use "true", "false", "0" or "1")

```



### Options inherited from parent commands



```

  -d, --datadir stringArray   Data directory for the node

  -k, --kmddir string         Data directory for kmd

```



### SEE ALSO



* [goal node](../../node/node/)	 - Manage a specified algorand node



